aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin M. Keyes <justinkz@gmail.com>2017-09-09 16:44:38 +0200
committerJustin M. Keyes <justinkz@gmail.com>2017-09-09 21:26:55 +0200
commit23cc41df555fba7345e0403eff3f4b3483cb2747 (patch)
tree34e87241f0cb5b05edb85e40c7bf318772f9eeec
parentb927e50c53d4db8841ce917b76226f571463d5a1 (diff)
downloadrneovim-23cc41df555fba7345e0403eff3f4b3483cb2747.tar.gz
rneovim-23cc41df555fba7345e0403eff3f4b3483cb2747.tar.bz2
rneovim-23cc41df555fba7345e0403eff3f4b3483cb2747.zip
ci/travis: report python environment info
-rwxr-xr-xci/before_install.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/ci/before_install.sh b/ci/before_install.sh
index 5b36adaef2..7279152fb0 100755
--- a/ci/before_install.sh
+++ b/ci/before_install.sh
@@ -11,6 +11,18 @@ if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
brew update
fi
+echo 'python info:'
+(
+ 2>&1 python --version || true
+ 2>&1 python2 --version || true
+ 2>&1 python3 --version || true
+ 2>&1 pip --version || true
+ 2>&1 pip2 --version || true
+ 2>&1 pip3 --version || true
+ echo 'pyenv versions:'
+ 2>&1 pyenv versions || true
+) | sed 's/^/ /'
+
echo "Upgrade Python 2 pip."
pip2.7 -q install --user --upgrade pip